CRM
Delete stage
Deletes a board stage. You must say what to do with the cards in it: delete them along with the stage or move them to another stage.
DELETE
/
crm
/
lists
/
{listId}
Delete stage
curl --request DELETE \
--url https://api.connectadesk.com/api/v1/crm/lists/{listId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"crmBoardId": 7,
"action": "delete",
"moveToListId": 32
}
'import requests
url = "https://api.connectadesk.com/api/v1/crm/lists/{listId}"
payload = {
"crmBoardId": 7,
"action": "delete",
"moveToListId": 32
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({crmBoardId: 7, action: 'delete', moveToListId: 32})
};
fetch('https://api.connectadesk.com/api/v1/crm/lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/crm/lists/{listId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'crmBoardId' => 7,
'action' => 'delete',
'moveToListId' => 32
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/crm/lists/{listId}"
payload := strings.NewReader("{\n \"crmBoardId\": 7,\n \"action\": \"delete\",\n \"moveToListId\": 32\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.connectadesk.com/api/v1/crm/lists/{listId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"crmBoardId\": 7,\n \"action\": \"delete\",\n \"moveToListId\": 32\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/crm/lists/{listId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"crmBoardId\": 7,\n \"action\": \"delete\",\n \"moveToListId\": 32\n}"
response = http.request(request)
puts response.read_body{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}Authorizations
API token in the sk_live_… format.
Path Parameters
Body
application/json
CRM board.
Example:
7
delete erases the cards and move transfers the cards to another stage.
What to do with the cards in the stage:
| value | meaning |
|---|---|
delete | Erase them along with the stage. |
move | Move them to another stage, given in moveToListId. |
Available options:
delete, move Stage that receives the cards when action: move.
Example:
32
Response
Done, with no content in the response.
⌘I
Delete stage
curl --request DELETE \
--url https://api.connectadesk.com/api/v1/crm/lists/{listId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"crmBoardId": 7,
"action": "delete",
"moveToListId": 32
}
'import requests
url = "https://api.connectadesk.com/api/v1/crm/lists/{listId}"
payload = {
"crmBoardId": 7,
"action": "delete",
"moveToListId": 32
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({crmBoardId: 7, action: 'delete', moveToListId: 32})
};
fetch('https://api.connectadesk.com/api/v1/crm/lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/crm/lists/{listId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'crmBoardId' => 7,
'action' => 'delete',
'moveToListId' => 32
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/crm/lists/{listId}"
payload := strings.NewReader("{\n \"crmBoardId\": 7,\n \"action\": \"delete\",\n \"moveToListId\": 32\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.connectadesk.com/api/v1/crm/lists/{listId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"crmBoardId\": 7,\n \"action\": \"delete\",\n \"moveToListId\": 32\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/crm/lists/{listId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"crmBoardId\": 7,\n \"action\": \"delete\",\n \"moveToListId\": 32\n}"
response = http.request(request)
puts response.read_body{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}
